LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XNumericalDataSequence Interface Reference

allows access to a one-dimensional sequence of double precision floating-point numbers. More...

`import"XNumericalDataSequence.idl";`

Inheritance diagram for XNumericalDataSequence:

## Public Member Functions
sequence< double > | getNumericalData ()
| retrieves data as `double` values. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows access to a one-dimensional sequence of double precision floating-point numbers.

## Member Function Documentation

sequence< double > getNumericalData | ( |  | ) |

retrieves data as `double` values.

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/data/XNumericalDataSequence.idl